DES-SERT - A Simple and Extensible Routing Framework for Testbeds: Data Fields

Here is a list of all documented struct and union fields with links to the struct/union documentation for each field:

### - b -

- bool : dessert_agentx_appstats , dessert_agentx_appparams

### - c -

- c : dessert_periodic , dessert_agentx_appstats_cb_entry
- cnt_mutex : dessert_sysif , dessert_meshif
- counter64 : dessert_agentx_appstats

### - d -

- data : dessert_ext , dessert_periodic
- desc : dessert_agentx_appstats , dessert_agentx_appparams

### - f -

- fd : dessert_sysif
- flags : dessert_sysif , dessert_msg

### - g -

- get : dessert_agentx_appparams_cb_entry

### - h -

- hlen : dessert_msg
- hwaddr : dessert_sysif , dessert_meshif

### - i -

- ibytes : dessert_meshif , dessert_sysif
- if_index : dessert_sysif , dessert_meshif
- if_name : dessert_meshif , dessert_sysif
- index : dessert_agentx_appparams_cb_entry , dessert_agentx_appparams
- int32 : dessert_agentx_appstats , dessert_agentx_appparams
- interval : dessert_periodic
- ipkts : dessert_sysif , dessert_meshif
- isbulk_flag : dessert_agentx_appstats_cb_entry

### - l -

- l2h : dessert_msg
- lbuf : dessert_msg_proc
- len : dessert_ext
- lflags : dessert_msg_proc
- lreserved : dessert_msg_proc

### - m -

- macaddress1 : dessert_agentx_appstats
- macaddress2 : dessert_agentx_appstats

### - n -

- name : dessert_agentx_appstats , dessert_agentx_appparams
- next : dessert_agentx_appparams_cb_entry , dessert_sysif , dessert_agentx_appparams , dessert_agentx_appstats , dessert_periodic , dessert_agentx_appstats_cb_entry , dessert_meshif
- node_or_link : dessert_agentx_appstats

### - o -

- obytes : dessert_meshif , dessert_sysif
- octetstring : dessert_agentx_appparams , dessert_agentx_appstats
- octetstring_len : dessert_agentx_appstats , dessert_agentx_appparams
- opkts : dessert_sysif , dessert_meshif

### - p -

- pcap : dessert_meshif
- pcap_err : dessert_meshif
- plen : dessert_msg
- prev : dessert_agentx_appstats_cb_entry , dessert_meshif , dessert_agentx_appstats , dessert_agentx_appparams_cb_entry , dessert_agentx_appparams
- proto : dessert_msg

### - s -

- scheduled : dessert_periodic
- set : dessert_agentx_appparams_cb_entry

### - t -

- ttl : dessert_msg
- type : dessert_ext

### - u -

- u16 : dessert_msg
- u32 : dessert_msg
- u8 : dessert_msg
- uint32 : dessert_agentx_appstats , dessert_agentx_appparams

### - v -

- value_type : dessert_agentx_appstats , dessert_agentx_appparams
- ver : dessert_msg

### - w -

- worker : dessert_meshif , dessert_sysif